Loading...
Searching...
No Matches
mdns_delayed_msg Struct Reference

`#include <mdns_priv.h>`

## Data Fields

u8_t | multicast_msg_waiting
u8_t | multicast_timeout
u8_t | multicast_probe_timeout
struct mdns_outmsg | delayed_msg_multicast
u8_t | multicast_timeout_25TTL
u8_t | unicast_msg_in_use
struct mdns_outmsg | delayed_msg_unicast

## Detailed Description

Delayed msg info

## Field Documentation

## delayed_msg_multicast

struct mdns_outmsg mdns_delayed_msg::delayed_msg_multicast

Output msg used for delayed multicast responses

## delayed_msg_unicast

struct mdns_outmsg mdns_delayed_msg::delayed_msg_unicast

Output msg used for delayed unicast responses

## multicast_msg_waiting

u8_t mdns_delayed_msg::multicast_msg_waiting

Signals if a multicast msg needs to be send out

## multicast_probe_timeout

u8_t mdns_delayed_msg::multicast_probe_timeout

Multicast timeout only for probe answers

## multicast_timeout

u8_t mdns_delayed_msg::multicast_timeout

Multicast timeout for all multicast traffic except probe answers

## multicast_timeout_25TTL

u8_t mdns_delayed_msg::multicast_timeout_25TTL

Prefer multicast over unicast timeout -> 25% of TTL = we take 30s as general delay.

## unicast_msg_in_use

u8_t mdns_delayed_msg::unicast_msg_in_use

Only send out new unicast message if previous was send

The documentation for this struct was generated from the following file:

- src/include/lwip/apps/mdns_priv.h